function OppAttack(...)
	local argn = 1;
	while arg[argn] do
		local spellName = arg[argn];
		local spellOtherReqMet = true;
		
		if (spellName == "Riposte" and not UnitCreatureType("target") == "Humanoid") then
			spellOtherReqMet = nil;
		elseif (spellName == "Berserking" and UnitHealth("player") * 5 >= UnitHealthMax("player")) then
			spellOtherReqMet = nil;
		end
		
		if spellOtherReqMet then 
			local spellID = OpporAttack_IDOfSpell(spellName);
			if spellID then
				if OpporAttack_IsSpellEnabled(spellID) then
					CastSpell(spellID, "spell");
					return spellName;
				end
			end  -- if spellID
		end  -- if spellOtherReqMet

		argn = argn + 1;
	end -- while arg
	
	return nil;
end

function OpporAttack_IDOfSpell(spellname)
	local retVal = 1;
	for i=1, GetNumSpellTabs() do
		local _, _, _, spellsInLine = GetSpellTabInfo(i);
		
		for j=spellsInLine,1,-1 do
			-- spellname, ranktext = GetSpellName (...)
			if GetSpellName(retVal, "spell") == spellname then
				return retVal;
			end			
			
			retVal = retVal + 1;
		end  -- for spellsInLine
	end -- for GetNumSpellTabs
	
	return nil;
end

function OpporAttack_IsSpellEnabled(spellID)
	local start, dur, enabled = GetSpellCooldown(spellID, "spell");
	
	if (start ~= 0) or (dur ~= 0) or (enabled == 0) then
		return nil;
	else
		return true;
	end
end